<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.00"
           xmlns:emcs="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:EMCS:V2.02"
           xmlns:tms="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TMS:V2.02"
           xmlns:tcl="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TCL:V2.02"
           xmlns:doc="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:DOC:V2.02"
           xmlns:pltypes="http://www.mf.gov.pl/schematy/EAD/PLTYPES/2019/10/"
           xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
           xmlns="http://uri.etsi.org/01903/v1.3.2#"
           
           xmlns:pl000="http://www.mf.gov.pl/schematy/EAD/PL000/2019/10/"
           xmlns:pl704="http://www.mf.gov.pl/schematy/EAD/PL704/2019/10/"
           xmlns:pl716="http://www.mf.gov.pl/schematy/EAD/PL716/2019/10/"
           xmlns:pl733="http://www.mf.gov.pl/schematy/EAD/PL733/2019/10/"
           xmlns:ie801="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE801:V2.02"
           xmlns:ie802="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE802:V2.02"
           xmlns:ie803="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE803:V2.02"
           xmlns:ie807="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE807:V2.02"
           xmlns:pl809="http://www.mf.gov.pl/schematy/EAD/PL809/2019/10/"
           xmlns:ie810="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE810:V2.02"
           xmlns:ie813="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE813:V2.02"
           xmlns:ie818="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE818:V2.02"
           xmlns:ie819="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE819:V2.02"
           xmlns:ie829="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE829:V2.02"
           xmlns:ie839="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE839:V2.02"
           xmlns:ie840="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE840:V2.02"
           xmlns:ie871="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE871:V2.02"
           xmlns:ie881="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE881:V2.02"
           xmlns:ie905="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE905:V2.02"
           xmlns:pz="http://www.mf.gov.pl/schematy/EAD/PZ/2019/10/"
           
           xmlns:req="http://www.mf.gov.pl/schematy/EAD/EADToTrader/2019/10/"
           targetNamespace="http://www.mf.gov.pl/schematy/EAD/EADToTrader/2019/10/">
  <!--============================================-->
  <!--=====    Komunikat EMCS PL 2 e-AD      =====-->
  <!--=====    do podmiotu gospodarczego     =====-->
  <!--============================================-->

  <!--===== Imports =====-->
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:EMCS:V2.02" schemaLocation="types.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TMS:V2.02" schemaLocation="tms.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TCL:V2.02" schemaLocation="tcl.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:DOC:V2.02" schemaLocation="doc.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EAD/PLTYPES/2019/10/" schemaLocation="plTypes.xsd"/>

  <xs:import namespace="http://www.mf.gov.pl/schematy/EAD/PL000/2019/10/" schemaLocation="pl000.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EAD/PL704/2019/10/" schemaLocation="pl704.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EAD/PL716/2019/10/" schemaLocation="pl716.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EAD/PL733/2019/10/" schemaLocation="pl733.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE801:V2.02" schemaLocation="ie801.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE802:V2.02" schemaLocation="ie802.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE803:V2.02" schemaLocation="ie803.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE807:V2.02" schemaLocation="ie807.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EAD/PL809/2019/10/" schemaLocation="pl809.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE810:V2.02" schemaLocation="ie810.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE813:V2.02" schemaLocation="ie813.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE818:V2.02" schemaLocation="ie818.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE819:V2.02" schemaLocation="ie819.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE829:V2.02" schemaLocation="ie829.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE839:V2.02" schemaLocation="ie839.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE840:V2.02" schemaLocation="ie840.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE871:V2.02" schemaLocation="ie871.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE881:V2.02" schemaLocation="ie881.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:IE905:V2.02" schemaLocation="ie905.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EAD/PZ/2019/10/" schemaLocation="pz.xsd" />

  <xs:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="xmldsig-core-schema.xsd" />
  <xs:import namespace="http://uri.etsi.org/01903/v1.3.2#" schemaLocation="XAdES.xsd" />

  <!--===== Root Element =====-->
  <xs:element name="EADToTrader" type="req:EADToTraderType" />

  <!--===== EMCS Data Groups Declarations =====-->
  <xs:complexType name="EADToTraderType">
    <xs:sequence>
      <xs:element name="Message" type="req:MessageType" />
      <xs:element ref="ds:Signature"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="MessageType">
    <xs:choice>
      <xs:element ref="pl000:PL000" />
      <xs:element ref="pl704:PL704" />
      <xs:element ref="pl716:PL716" />
      <xs:element ref="pl733:PL733" />
      <xs:element ref="ie801:IE801" />
      <xs:element ref="ie802:IE802" />
      <xs:element ref="ie803:IE803" />
      <xs:element ref="ie807:IE807" />
      <xs:element ref="pl809:PL809" />
      <xs:element ref="ie810:IE810" />
      <xs:element ref="ie813:IE813" />
      <xs:element ref="ie818:IE818" />
      <xs:element ref="ie819:IE819" />
      <xs:element ref="ie829:IE829" />
      <xs:element ref="ie839:IE839" />
      <xs:element ref="ie840:IE840" />
      <xs:element ref="ie871:IE871" />
      <xs:element ref="ie881:IE881" />
      <xs:element ref="ie905:IE905" />
      <xs:element ref="pz:PZ" />
    </xs:choice>
  </xs:complexType>
</xs:schema>